<!DOCTYPE html>
<html>
<head>
	<title>Animation</title>
</head>
<style type="text/css">

	body{
		
		height: 100vh;
		display: flex;
		justify-content: center;
		align-items: center;
	}
	div{
		border-radius: 50%;
		height: 50px;
		width:50px;
		position: absolute;
		animation: casdasd 2s infinite;
	}

	div:nth-child(1){
		background:linear-gradient( 360deg, yellow, white);
		animation-delay: 0s;
		height: 200px;
		width:200px;
	}
	div:nth-child(2){
		background:linear-gradient( 360deg,blue, green);
		animation-delay:100ms;	
		height: 150px;
		width:150px;
	}
	div:nth-child(3){background:linear-gradient( 360deg, purple, crimson);
		animation-delay: 200ms;
		height: 100px;
		width:100px;
		
		
	}
	div:nth-child(4){
		background:linear-gradient( 360deg, powderblue, teal);
		animation-delay: 300ms;
	}

	@keyframes casdasd{
		from{
			transform: rotate(0);
		}
		to{
			transform: rotate(360deg);
		}
	}
</style>
<body>
	<div></div>
	<div></div>
	<div></div>
	<div></div>
</body>
</html>

